> ## Documentation Index
> Fetch the complete documentation index at: https://docs.immutable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh collection metadata

> Refresh collection metadata



## OpenAPI

````yaml https://imx-openapiv3-mr-sandbox.s3.us-east-2.amazonaws.com/openapi.json post /v1/chains/{chain_name}/collections/{contract_address}/refresh-metadata
openapi: 3.0.3
info:
  title: Immutable zkEVM API
  version: 1.0.0
  description: Immutable Multi Rollup API
  contact:
    name: Immutable API Support
    email: support@immutable.com
    url: https://support.immutable.com
servers:
  - url: https://api.sandbox.immutable.com
security: []
tags:
  - name: activities
    description: Activities Endpoints
    x-displayName: activities
  - name: chains
    description: Chains Endpoints
    x-displayName: chains
  - name: collections
    description: Collections Endpoints
    x-displayName: collections
  - name: nfts
    description: NFTs Endpoints
    x-displayName: nfts
  - name: nft owners
    description: NFT Owner Endpoints
    x-displayName: nft owners
  - name: metadata
    description: NFT Metadata Endpoints
    x-displayName: metadata
  - name: tokens
    description: ERC20 Token Endpoints
    x-displayName: tokens
  - name: demopage
    description: Temporary HTML endpoint for demo purposes
    x-displayName: demopage
  - name: verification
    x-displayName: verification
  - name: operatorallowlist
    x-displayName: operatorallowlist
  - name: crafting
    x-displayName: crafting
  - name: listings
    description: Listings Endpoints
    x-displayName: listings
  - name: orders
    x-displayName: orders
  - name: passport
    description: Passport operations
    x-displayName: passport
  - name: gamefi
    description: team gamefi
    x-displayName: gamefi
  - name: health
    x-displayName: health
  - name: passport profile
    description: Passport Profile endpoints
    x-displayName: passport profile
  - name: feed-items
    x-displayName: feed-items
  - name: assets
    x-displayName: assets
  - name: guardian
    description: Guardian endpoints
    x-displayName: guardian
  - name: pricing
    description: Pricing Endpoints
    x-displayName: pricing
  - name: metadata-search
    x-displayName: metadata-search
paths:
  /v1/chains/{chain_name}/collections/{contract_address}/refresh-metadata:
    post:
      tags:
        - collections
      summary: Refresh collection metadata
      description: Refresh collection metadata
      operationId: RefreshCollectionMetadata
      parameters:
        - name: contract_address
          in: path
          description: The address contract
          required: true
          schema:
            type: string
          example: '0x8a90cab2b38dba80c64b7734e58ee1db38b8992e'
        - name: chain_name
          description: The name of chain
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ChainName'
          examples:
            testnet:
              value: imtbl-zkevm-testnet
              summary: Immutable zkEVM Public Testnet
      requestBody:
        description: The request body
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshCollectionMetadataRequest'
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshCollectionMetadataResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorisedRequest'
        '403':
          $ref: '#/components/responses/ForbiddenRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ImmutableApiKey:
            - refresh:metadata
        - BearerAuthWithClient: []
        - BearerAuth: []
components:
  schemas:
    ChainName:
      type: string
      description: The name of chain
      example: imtbl-zkevm-testnet
    RefreshCollectionMetadataRequest:
      type: object
      properties:
        collection_metadata:
          $ref: '#/components/schemas/CollectionMetadata'
      required:
        - collection_metadata
    RefreshCollectionMetadataResult:
      type: object
      properties:
        contract_address:
          type: string
        chain:
          $ref: '#/components/schemas/Chain'
        collection_metadata:
          $ref: '#/components/schemas/CollectionMetadata'
      required:
        - contract_address
        - chain
        - collection_metadata
    CollectionMetadata:
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: The name of the collection
          example: Gigantic Lizards
        symbol:
          type: string
          nullable: true
          description: The symbol of contract
          example: GLZ
        description:
          type: string
          nullable: true
          description: The description of collection
          example: This is the Gigantic Lizards collection
        image:
          type: string
          description: The url of the collection image
          example: https://some-url
          nullable: true
        external_link:
          type: string
          description: The url of external link
          example: https://some-url
          nullable: true
        contract_uri:
          type: string
          description: The uri for the metadata of the collection
          example: https://some-url
          nullable: true
        base_uri:
          type: string
          nullable: true
          description: The metadata uri for nft
          example: https://some-url
      required:
        - name
        - image
        - symbol
        - description
        - base_uri
        - external_link
        - contract_uri
    Chain:
      type: object
      description: The chain details
      properties:
        id:
          type: string
          description: The id of chain
          example: eip155:13372
        name:
          type: string
          description: The name of chain
          example: imtbl-zkevm-testnet
      required:
        - id
        - name
    APIError400:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - VALIDATION_ERROR
              example: VALIDATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError401:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - UNAUTHORISED_REQUEST
              example: UNAUTHORISED_REQUEST
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError403:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - AUTHENTICATION_ERROR
              example: AUTHENTICATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError404:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - RESOURCE_NOT_FOUND
              example: RESOURCE_NOT_FOUND
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError500:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - INTERNAL_SERVER_ERROR
              example: INTERNAL_SERVER_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    BasicAPIError:
      type: object
      properties:
        message:
          type: string
          description: Error Message
          example: all fields must be provided
        link:
          type: string
          description: Link to IMX documentation that can help resolve this error
          example: https://docs.x.immutable.com/reference/#/
        trace_id:
          type: string
          description: Trace ID of the initial request
          example: e47634b79a5cd6894ddc9639ec4aad26
      required:
        - message
        - link
        - trace_id
  responses:
    BadRequest:
      description: Bad Request (400)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError400'
    UnauthorisedRequest:
      description: Unauthorised Request (401)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError401'
    ForbiddenRequest:
      description: Forbidden Request (403)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError403'
    NotFound:
      description: The specified resource was not found (404)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError404'
    InternalServerError:
      description: Internal Server Error (500)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError500'
  securitySchemes:
    ImmutableApiKey:
      x-go-name: ImmutableApiKey
      type: apiKey
      in: header
      name: x-immutable-api-key
    BearerAuthWithClient:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````